## org.apache.batik.bridge
Interface FilterPrimitiveBridge

All Superinterfaces:
  Bridge

All Known Implementing Classes:
  AbstractSVGFilterPrimitiveElementBridge, AbstractSVGLightingElementBridge, BatikHistogramNormalizationElementBridge, SVGFeBlendElementBridge, SVGFeColorMatrixElementBridge, SVGFeComponentTransferElementBridge, SVGFeCompositeElementBridge, SVGFeConvolveMatrixElementBridge, SVGFeDiffuseLightingElementBridge, SVGFeDisplacementMapElementBridge, SVGFeFloodElementBridge, SVGFeGaussianBlurElementBridge, SVGFeImageElementBridge, SVGFeMergeElementBridge, SVGFeMorphologyElementBridge, SVGFeOffsetElementBridge, SVGFeSpecularLightingElementBridge, SVGFeTileElementBridge, SVGFeTurbulenceElementBridge

    public interface FilterPrimitiveBridge

extends Bridge

Factory class for vending `Filter` objects that represents a filter primitive.

Method Summary
`Filter` `createFilter(BridgeContext ctx, org.w3c.dom.Element filterElement, org.w3c.dom.Element filteredElement, GraphicsNode filteredNode, Filter in, java.awt.geom.Rectangle2D filterRegion, java.util.Map filterMap)` Creates a `Filter` primitive according to the specified parameters.

Methods inherited from interface org.apache.batik.bridge.Bridge
`getInstance, getLocalName, getNamespaceURI`

Method Detail

### createFilter

    Filter createFilter(BridgeContext ctx,
                        org.w3c.dom.Element filterElement,
                        org.w3c.dom.Element filteredElement,
                        GraphicsNode filteredNode,
                        Filter in,
                        java.awt.geom.Rectangle2D filterRegion,
                        java.util.Map filterMap)

  Creates a `Filter` primitive according to the specified parameters.

  Parameters:
    `ctx` - the bridge context to use
    `filterElement` - the element that defines a filter
    `filteredElement` - the element that references the filter
    `filteredNode` - the graphics node to filter
    `in` - the `Filter` that represents the current filter input if the filter chain.
    `filterRegion` - the filter area defined for the filter chain the new node will be part of.
    `filterMap` - a map where the mediator can map a name to the `Filter` it creates. Other `FilterBridge`s can then access a filter node from the filterMap if they know its name.

Copyright © 2008 Apache Software Foundation. All Rights Reserved.